package selenium.account;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import selenium.PageObject;

public class AccountSettingsPOF extends PageObject {

    String accountSettingsUrl = "https://www.safeway.com/customer-account/account-settings";

    @FindBy(id = "input-firstName")
    WebElement firstNameInput;

    @FindBy(id = "input-lastName")
    WebElement lastNameInput;

    @FindBy(id = "phoneNumber")
    WebElement phoneNumberInput;

    @FindBy(id = "emailIdaccount")
    WebElement emailInput;

    @FindBy(xpath = "//*[@id=\"uca-root\"]/main/div/div/div[2]/div/div[3]/div[1]/div/button")
    WebElement showHidePasswordBtn;

    @FindBy(id = "c-password")
    WebElement currentPasswordInput;

    @FindBy(xpath = "//*[@id=\"uca-root\"]/main/div/div/div[2]/div/div[6]/div/p[2]")
    WebElement clubCardNumber;

    AccountSettingsPOF(WebDriver driver){
        super(driver);
        PageFactory.initElements(this.driver, this);
    }

    public String getAccountSettingsUrl() {
        return accountSettingsUrl;
    }



}
