package selenium.login;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import selenium.PageObject;

public class LoginPOM extends PageObject {

    WebElement inpUserName;
    WebElement inpPassword;
    WebElement btnSubmit;

    public LoginPOM (WebDriver driver){
        super(driver);
    }

    public WebElement getInpUserName() {
        return driver.findElement(By.id("label-email"));
    }

    public WebElement getInpPassword() {
        return driver.findElement(By.id("label-password"));
    }

    public WebElement getBtnSubmit() {
        return driver.findElement(By.id("btnSignIn"));
    }

    public void login(String email, String password){
        getInpUserName().sendKeys(email);
        getInpPassword().sendKeys(password);
        getBtnSubmit().click();
    }

}
